% raw results-files:
%  raw_idf_files/31_ppcap220nF.idf                                                                                                          
%  raw_idf_files/32_ppcap220nF_x100Vdc.idf                                                                                                  
%  raw_idf_files/32_ppcap220nF_x100Vdc_rpt.idf                                                                                              
%  raw_idf_files/33_ppcap220nF_+100Vdc.idf                                                                                                  
%  raw_idf_files/33_ppcap220nF_+100Vdc_rpt.idf                                                                                              
%  raw_idf_files/34_ppcap220nF_-100Vdc.idf                                                                                                  
%  raw_idf_files/35_ppcap220nF_quickrpt.idf                                                                                                 
%  raw_idf_files/36_ppcap220nF_+100Vdc_Li.idf                                                                                               
%  raw_idf_files/37_ppcap220nF_-100Vdc_Li-2.idf 
% the following was actually taken from 
%   3_cap_220nF_10V.txt 
% which is the 'Table' data of C',C" made by the idax300
% control program (v4) after loading the above-listed idf files 
%
% the initial formatting as below was by:
% i=0; cat ../3_cap_220nF_10V.txt | while read l; do if echo "$l" | grep '"NTmeas" -' -q ; then i=$((i+1)); echo "];"; echo ""; echo "d($i).F = '$(echo "$l" | cut -d\" -f6)';"; echo "d($i).N = '';";  echo "d($i).d = [ ...";  elif echo "$l" | grep -q '^[0-9]' ; then echo "  $l"; fi ; done


d(1).F = '31_ppcap220nF.idf';
d(1).N = 'no DC';
d(1).d = [ ...
  10000          	2.131E-7      	5.2903E-9
  2154.4         	2.2266E-7     	1.0941E-9
  1000           	2.2264E-7     	4.8892E-10
  464.16         	2.2265E-7     	2.4557E-10
  215.44         	2.2267E-7     	1.3136E-10
  100            	2.2269E-7     	7.6894E-11
  46.416         	2.227E-7      	5.1202E-11
  21.544         	2.2272E-7     	3.9402E-11
  10             	2.2274E-7     	3.3789E-11
  4.6416         	2.2276E-7     	3.1999E-11
  2.1544         	2.2278E-7     	3.0278E-11
  1              	2.228E-7      	3.262E-11
  0.46416        	2.2279E-7     	2.986E-11
  0.21544        	2.2281E-7     	3.4161E-11
  0.1            	2.2284E-7     	3.509E-11
  0.046416       	2.2287E-7     	3.766E-11
  0.021544       	2.229E-7      	3.9706E-11
];

d(2).F = '33_ppcap220nF_+100Vdc.idf';
d(2).N = '$+100\,$V DC, Alkaline';
d(2).d = [ ...
  10000          	1.9744E-7     	3.4101E-8
  2154.4         	2.1694E-7     	1.0065E-8
  1000           	2.1825E-7     	5.3762E-9
  464.16         	2.1894E-7     	3.207E-9
  215.44         	2.1959E-7     	2.4173E-9
  100            	2.2059E-7     	2.1712E-9
  46.416         	2.2169E-7     	1.6746E-9
  21.544         	2.2232E-7     	1.0072E-9
  10             	2.2256E-7     	5.3378E-10
  4.6416         	2.2265E-7     	2.8021E-10
  2.1544         	2.227E-7      	1.5511E-10
  1              	2.2273E-7     	9.3074E-11
  0.46416        	2.2273E-7     	6.2501E-11
  0.21544        	2.2277E-7     	4.9534E-11
  0.1            	2.2281E-7     	4.3194E-11
  0.046416       	2.2286E-7     	4.4525E-11
  0.021544       	2.229E-7      	4.2489E-11
];

d(3).F = '33_ppcap220nF_+100Vdc_rpt.idf';
d(3).N = '$+100\,$V DC, Alkaline, repeat';
d(3).d = [ ...
  10000          	1.9758E-7     	3.4205E-8
  2154.4         	2.1712E-7     	1.009E-8
  1000           	2.1842E-7     	5.3831E-9
  464.16         	2.1909E-7     	3.1969E-9
  215.44         	2.1971E-7     	2.3964E-9
  100            	2.2069E-7     	2.1668E-9
  46.416         	2.2178E-7     	1.7018E-9
  21.544         	2.2244E-7     	1.0379E-9
  10             	2.2269E-7     	5.5427E-10
  4.6416         	2.2278E-7     	2.9022E-10
  2.1544         	2.2281E-7     	1.5751E-10
  1              	2.2284E-7     	9.1264E-11
  0.46416        	2.2283E-7     	6.3457E-11
  0.21544        	2.2285E-7     	4.8712E-11
  0.1            	2.2287E-7     	4.0104E-11
  0.046416       	2.2289E-7     	4.2957E-11
  0.021544       	2.2291E-7     	4.1767E-11
];

d(4).F = '34_ppcap220nF_-100Vdc.idf';
d(4).N = '$-100\,$V DC, Alkaline';
d(4).d = [ ...
  10000          	1.976E-7      	3.4098E-8
  2154.4         	2.1712E-7     	1.0059E-8
  1000           	2.184E-7      	5.3628E-9
  464.16         	2.1907E-7     	3.1743E-9
  215.44         	2.1968E-7     	2.3702E-9
  100            	2.2063E-7     	2.1556E-9
  46.416         	2.2173E-7     	1.7186E-9
  21.544         	2.2241E-7     	1.0613E-9
  10             	2.2267E-7     	5.6879E-10
  4.6416         	2.2277E-7     	2.9839E-10
  2.1544         	2.2281E-7     	1.6428E-10
  1              	2.2283E-7     	9.777E-11
  0.46416        	2.2283E-7     	6.6072E-11
  0.21544        	2.2284E-7     	4.7608E-11
  0.1            	2.2286E-7     	3.9467E-11
  0.046416       	2.2288E-7     	4.1695E-11
  0.021544       	2.2291E-7     	4.7091E-11
];

d(5).F = '35_ppcap220nF_quickrpt.idf';
d(5).N = 'no DC, short repeat';
d(5).d = [ ...
  10000          	2.1325E-7     	5.029E-9
  2154.4         	2.2274E-7     	1.0313E-9
  1000           	2.2271E-7     	4.6942E-10
  464.16         	2.2272E-7     	2.3713E-10
  215.44         	2.2274E-7     	1.2753E-10
  100            	2.2275E-7     	7.4227E-11
  46.416         	2.2277E-7     	4.9917E-11
  21.544         	2.2279E-7     	3.8991E-11
  10             	2.228E-7      	3.209E-11
  4.6416         	2.2282E-7     	3.0376E-11
  2.1544         	2.2284E-7     	2.82E-11
  1              	2.2285E-7     	2.8061E-11
  0.46416        	2.2284E-7     	3.1034E-11
  0.21544        	2.2285E-7     	3.3662E-11
  0.1            	2.2286E-7     	3.6088E-11
  0.046416       	2.2288E-7     	3.8825E-11
];

d(6).F = '36_ppcap220nF_+100Vdc_Li.idf';
d(6).N = '$+100\,$V DC, Lithium';
d(6).d = [ ...
  10000          	2.056E-7      	2.9698E-8
  2154.4         	2.2101E-7     	8.255E-9
  1000           	2.2207E-7     	4.247E-9
  464.16         	2.2251E-7     	2.1021E-9
  215.44         	2.2266E-7     	1.0131E-9
  100            	2.2272E-7     	4.9664E-10
  46.416         	2.2275E-7     	2.5019E-10
  21.544         	2.2277E-7     	1.3445E-10
  10             	2.2279E-7     	7.923E-11
  4.6416         	2.2281E-7     	5.2779E-11
  2.1544         	2.2283E-7     	4.3523E-11
  1              	2.2284E-7     	3.4105E-11
  0.46416        	2.2283E-7     	3.411E-11
  0.21544        	2.2284E-7     	3.2934E-11
  0.1            	2.2285E-7     	3.2768E-11
  0.046416       	2.2288E-7     	4.0424E-11
  0.021544       	2.229E-7      	3.8869E-11
];

d(7).F = '37_ppcap220nF_-100Vdc_Li-2.idf';
d(7).N = '$-100\,$V DC, Lithium';
d(7).d = [ ...
  10000          	2.056E-7      	2.9566E-8
  2154.4         	2.21E-7       	8.231E-9
  1000           	2.2207E-7     	4.2383E-9
  464.16         	2.2251E-7     	2.0973E-9
  215.44         	2.2266E-7     	1.0108E-9
  100            	2.2271E-7     	4.9644E-10
  46.416         	2.2275E-7     	2.497E-10
  21.544         	2.2277E-7     	1.3339E-10
  10             	2.2279E-7     	7.9088E-11
  4.6416         	2.2281E-7     	5.2904E-11
  2.1544         	2.2283E-7     	4.2081E-11
  1              	2.2284E-7     	3.2943E-11
  0.46416        	2.2283E-7     	3.3081E-11
  0.21544        	2.2284E-7     	3.4485E-11
  0.1            	2.2287E-7     	3.4768E-11
  0.046416       	2.2289E-7     	4.0463E-11
  0.021544       	2.2291E-7     	3.7149E-11
];


groupname = '3_cap_220nF_10V';
%   first column is which of the above (e.g. d(1)) to take
%   second is title for legends
%   third is plot-line marker/colour info
l = { ...
    [1,5],  'no DC',                'k*'
    [2,3],  '$+$\,DC,\, Alkaline',  'r^'
    [4],    '$-$\,DC,\, Alkaline',  'bv' 
    [6],    '$+$\,DC,\, Lithium',   'm>'
    [7],    '$-$\,DC,\, Lithium',   'g<'
    };

